package easydo.technology.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import easydo.technology.system.domain.SysDept;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 部门 服务类
 * </p>
 *
 * @author fr
 * @since 2022-01-26
 */
public interface ISysDeptService extends IService<SysDept> {

    void verification(Set<Long> deptIds) throws Exception;

    SysDept saveDept(SysDept dept);

    SysDept updateDept(SysDept dept) throws Exception;
}
